summaryrefslogtreecommitdiff
path: root/VA/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'VA/run.sh')
-rwxr-xr-xVA/run.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/VA/run.sh b/VA/run.sh
index 984d6ef..e4cedb2 100755
--- a/VA/run.sh
+++ b/VA/run.sh
@@ -8,19 +8,22 @@ set -e
# -e: number of timed iterations
# -i: input size (number of elements, not number of bytes!)
+(
+
echo "prim-benchmarks VA (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
- for nr_tasklets in 1 2 3 4 6 8 10 12 16 20 24; do
- for i in 2048 4096 8192 16384 65536 262144 1048576 2621440; do
+for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048; do
+ for nr_tasklets in 8 12 16 20 24; do
+ for i in 2048 4096 8192 16384 65536 262144 1048576 2621440 167772160; do
for dt in CHAR SHORT INT32 INT64 FLOAT DOUBLE; do
echo
- if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt}; then
- bin/host_code -w 0 -e 100 -i ${i} || true
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} WITH_ALLOC_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i ${i} -x 1 || true
fi
done
done
done
done
+) | tee "log-$(hostname).txt"